/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.action;

import org.loom.exception.PropertyNotFoundException;
import org.loom.log.Log;

/**
 * The default strategy for property binding failures
 * 
 * @author icoloma
 */
public class DefaultPropertyExceptionHandler implements PropertyExceptionHandler {

	private static Log log = Log.getLog(DefaultPropertyExceptionHandler.class);
	
	public void handlePropertyException(Action action, String propertyPath, PropertyNotFoundException e) {
		log.warn(e, "Could not find property ", propertyPath, " in action ", action.getClass().getName());
	}

}
