package org.loom.annotation;

/**
 * Possible values for {@link SSLPolicy} annotations
 * @author icoloma
 *
 */
public enum SSLPolicyType {

	/**
	 * The annotated event requires secure transport (https). 
	 */
	REQUIRES_SECURE,
	
	/**
	 * The annotated event requires insecure transport (http). 
	 */
	REQUIRES_INSECURE,
	
	/**
	 * The annotated event will accept either http or https requests 
	 */
	DO_NOT_MODIFY
	
}
