package org.loom.annotation.validation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import org.loom.servlet.params.FileParameter;

/**
 * Validates an uploaded {@link FileParameter} 
 * @author Rafael Serrano
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.METHOD })
@Documented
public @interface FileValidation {
	
	/** name of the expected parameter */
	String parameterName();
	
    /** if provided, only allows the specified file extensions (txt, gif, etc). It does not validate file contents, though */
    String[] formats() default {};
    
    /** the maximum file size in bytes, defaults to -1 */
    int maxFileSize() default -1;
    
}
