/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.converter.date;

import java.sql.Time;

import org.joda.time.DateTime;
import org.joda.time.LocalTime;

/**
 * Bridge between Yoda and java.sql.Time
 * @author icoloma
 */
public class TimeAdapterFormat extends AbstractDateFormatAdapter<Time> {

	@Override
	protected void formatImpl(Time obj, StringBuffer toAppendTo) {
		getFormatter().printTo(toAppendTo, new LocalTime(obj));
	}

	@Override
	protected Time toResultClass(DateTime dateTime) {
		return new Time(dateTime.getMillis());
	}

}
