/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.exception;

import org.loom.binding.PropertyWrapper;

/**
 * Thrown when a default Converter could not be found for a property 
 * @author Ignacio Coloma
 *
 */
public class ConverterNotFoundException extends ConfigException {

	public ConverterNotFoundException(PropertyWrapper propertyWrapper) {
		this(propertyWrapper.getContainerClass(), propertyWrapper.getPropertyName());
	}
	public ConverterNotFoundException(Class<?> propertyClass, String propertyName) {
		super("There is no configured or default Converter for property " + propertyName + " of " + 
				propertyClass.getName());
	}
	
}
