package org.loom.guice;

import javax.inject.Inject;
import javax.inject.Singleton;

import org.loom.util.Lookup;

import com.google.inject.Injector;
import com.google.inject.Key;
import com.google.inject.name.Names;

@Singleton
public class GuiceLookup extends Lookup {

	@Inject
	private Injector injector;

	public GuiceLookup() {
		Lookup.setInstance(this);
	}
	
	@Override
	public <T> T byClass(Class<? extends T> clazz) {
		return injector.getInstance(clazz);
	}
	
	@Override
	public <T> T byName(Class<? extends T> clazz, String name) {
		return injector.getInstance(Key.get(clazz, Names.named(name)));
	}

	public void setInjector(Injector injector) {
		this.injector = injector;
	}
	
	
	
}
