package org.loom.i18n;


/**
 * Levels of {@link Message}
 * @author icoloma
 *
 */
public enum MessageLevel {

	/** Informational message */
	INFO, 
	
	/** Warning message */
	WARN, 
	
	/** Error message */
	ERROR;
	
	private String lowercaseName;
	
	public String getLowercaseName() {
		return lowercaseName;
	}

	private MessageLevel() {
		lowercaseName = name().toLowerCase().intern();
	}
	
	public static MessageLevel lowerCaseValueOf(String level) {
		for (MessageLevel candidate : MessageLevel.values()) {
			if (candidate.lowercaseName.equals(level)) {
				return candidate;
			}
		}
		throw new IllegalArgumentException("No MessageLevel defined with name '" + level + "'");
	}

	public boolean isLessOrEquals(MessageLevel otherLevel) {
		return this.compareTo(otherLevel) <= 0;
	}
	
}
