/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.interceptor;

import org.loom.mapping.ParsedAction;

/**
 * Invoked when the request has been executed.
 * This listener is called even if the execution throws an exception, which makes it 
 * the choice for cleanup code.
 * @author Ignacio Coloma
 */
public interface FinallyListener {

	/**
	 * @param action the action and event that is being executed
	 * @param e If any exception was thrown in any phase (populate, validate, execute), null if none.
	 */
	public void doFinally(ParsedAction action, Exception e) ;
	
}
