/*
 * Copyright 2002-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.loom.resolution;

import org.loom.servlet.LoomServletResponse;

/**
 * A String http header
 * @author Ignacio Coloma
 */
public class StringHttpHeader extends HttpHeader {

	private String value;
	
	public StringHttpHeader(String name, String value, boolean add) {
		super(name, add);
		this.value = value;
	}

	@Override
	public void write(LoomServletResponse response) {
		if (isAdded()) {
			response.addHeader(getName(), value);
		} else {
			response.setHeader(getName(), value);
		}
	}

	public String getValue() {
		return value;
	}

}
