package org.loom.resources;

import java.io.IOException;

import javax.servlet.jsp.JspException;

import org.loom.action.support.ResourcesAction;
import org.loom.tags.core.AbstractWebResourceTag;
import org.loom.url.UrlBuilder;


public abstract class AbstractCompiledWebResource implements CompiledWebResource {

	/** the calculated md5 of this resource */
	protected String md5;
	
	/** the location that will be rendered into the HTML page */
	protected String name;
	
	@Override
	public void render(AbstractWebResourceTag tag) throws JspException, IOException {
		UrlBuilder url = tag.getUrl();
		url.replace(ResourcesAction.RESOURCE, name);
		url.replace(ResourcesAction.MD5, md5);
		tag.printTag();
	}
	
	public String getMd5() {
		return md5;
	}

	public void setMd5(String md5) {
		this.md5 = md5;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
