package org.loom.resources;

import org.loom.util.MimeUtils;
import org.springframework.core.io.Resource;

/**
 * Images referenced as url() attributes from CSS files
 * @author icoloma
 */
public class CssResource {

	/** the name of the resource */
	private String name;
	
	/** the md5 checksum of the resource */
	private String md5;

	/** the calculated content-type, null if unknown */
	private String contentType;
	
	/** the {@link Resource} instance to retrieve the resource data */
	private Resource resource;

	public CssResource(String name, String md5, Resource resource) {
		this.name = name;
		this.md5 = md5;
		this.resource = resource;
		this.contentType = MimeUtils.guessMimeType(resource.getFilename());
	}

	public String getName() {
		return name;
	}

	public String getMd5() {
		return md5;
	}

	public Resource getResource() {
		return resource;
	}

	public String getContentType() {
		return contentType;
	} 
	
	
	
}
