package org.loom.resources;

import java.io.IOException;

/**
 * Compiles and stores the result in memory
 * @author Nacho
 */
public class InMemoryWebResourceCompiler extends AbstractWebResourceCompiler {

	@Override
	protected CompiledWebResource createCompiledWebResource(String name, String md5, String contents, byte[] gzippedContents) throws IOException {
		CompiledInMemoryWebResource result = new CompiledInMemoryWebResource();
		result.setName(name);
		result.setContents(contents.getBytes(charset));
		result.setGzippedContents(gzippedContents);
		result.setMd5(md5);
		return result;
	}
	
}
