package org.loom.resources;

import java.util.List;

import javax.inject.Singleton;

import org.springframework.core.io.Resource;

import com.google.common.collect.Sets;


/**
 * Creates ReloadableWebResourceBundle instances that are aware of changes in any referenced resource file.
 * @author icoloma
 *
 */
@Singleton
public class ReloadableWebResourceBundleFactory extends DefaultWebResourceBundleFactory {

	@Override
	public WebResourceBundle create(String name, List<Resource> resources) {
		ReloadableWebResourceBundle bundle = new ReloadableWebResourceBundle();
		bundle.setResources(Sets.newLinkedHashSet(resources));
		bundle.setName(name);
		bundle.setCompiler(bundle.getType() == WebResourceType.CSS? cssCompiler : jsCompiler);
		return bundle;
	}
	
}
