package org.loom.resources;

import java.util.List;

import org.springframework.core.io.Resource;

/**
 * Repository of {@link WebResourceBundle} instances 
 * @author icoloma
 */
public interface WebResourceBundleRepository {
	
	/**
	 * @param name the name of the WebResourceBundle
	 * @throws IllegalArgumentException if no bundle  could be found with the given name
	 * @return the WebResourceBundle with the given name
	 */
	public WebResourceBundle getWebResourceBundle(String name);
	
	/**
	 * Add a WebResourceBundle
	 * @param name the name of the resource bundle
	 * @param resources the list of resources that integrate the bundle.
	 */
	public WebResourceBundle addResourceBundle(String name, List<Resource> resources);

}
