package org.loom.resources.compressor;

import java.io.IOException;
import java.io.StringReader;
import java.io.StringWriter;

import com.yahoo.platform.yui.compressor.CssCompressor;

/**
 * Adapter for the javascript YUICompressor 
 * @author icoloma
 */
public class YuiCssCompressorAdapter implements WebResourceCompressor {
	
	/** insert a line break after the specified column number, default -1 */
	private int lineBreakColumn = -1;
	
	public String compress(String resourceName, String contents) throws IOException {

		StringWriter writer = new StringWriter();
		CssCompressor compressor = new CssCompressor(new StringReader(contents));
		compressor.compress(writer, lineBreakColumn);
		return writer.toString();
		
	}
	
	public int getLineBreakColumn() {
		return lineBreakColumn;
	}

	public void setLineBreakColumn(int lineBreakColumn) {
		this.lineBreakColumn = lineBreakColumn;
	}
	
}
