package org.loom.spring;

import javax.annotation.PostConstruct;
import javax.inject.Inject;
import javax.inject.Singleton;

import org.loom.annotation.processor.AnnotationProcessor;
import org.loom.annotation.processor.DefaultAnnotationProcessorRepository;
import org.springframework.context.ApplicationContext;

@Singleton
public class SpringAnnotationProcessorRepository extends DefaultAnnotationProcessorRepository {

	@Inject
	private ApplicationContext applicationContext;
	
	@PostConstruct
	public void autodiscoverAnnotationProcessors() {
		for (AnnotationProcessor annotationProcessor: (applicationContext.getBeansOfType(AnnotationProcessor.class)).values()) {
			addAnnotationProcessor(annotationProcessor);
		}
	}
	
}
