package org.loom.util;

/**
 * File size units (KB, GB, etc)
 * @author icoloma
 *
 */
public enum FileSizeUnit {
	
	KB(1024),
	MB(1024*1024),
	GB(1024*1024*1024L),
	TB(1024*1024*1024*1024L);
	
	/** size (in bytes) of this unit */
	private long size;

	private FileSizeUnit(long size) {
		this.size = size;
	}
	
	public long getSize() {
		return size;
	}
	
}
